<?php
/*
*----------------------------phpMyBitTorrent V 2.0.4---------------------------*
*--- The Ultimate BitTorrent Tracker and BMS (Bittorrent Management System) ---*
*--------------   Created By Antonio Anzivino (aka DJ Echelon)   --------------*
*-------------               http://www.p2pmania.it               -------------*
*------------ Based on the Bit Torrent Protocol made by Bram Cohen ------------*
*-------------              http://www.bittorrent.com             -------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*--   This program is free software; you can redistribute it and/or modify   --*
*--   it under the terms of the GNU General Public License as published by   --*
*--   the Free Software Foundation; either version 2 of the License, or      --*
*--   (at your option) any later version.                                    --*
*--                                                                          --*
*--   This program is distributed in the hope that it will be useful,        --*
*--   but WITHOUT ANY WARRANTY; without even the implied warranty of         --*
*--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          --*
*--   GNU General Public License for more details.                           --*
*--                                                                          --*
*--   You should have received a copy of the GNU General Public License      --*
*--   along with this program; if not, write to the Free Software            --*
*-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA --*
*--                                                                          --*
*------------------------------------------------------------------------------*
*------              ©2005 phpMyBitTorrent Development Team              ------*
*-----------               http://phpmybittorrent.com               -----------*
*------------------------------------------------------------------------------*
*-----------------   Sunday, September 14, 2008 9:05 PM   ---------------------*
*/
if (defined('IN_PMBT'))die ("You can't include this file");
define("IN_PMBT",true);
include("header.php");
global $db, $db_prefix;
OpenTable("Request Filled");

$filledurl = $_GET["filledurl"];
$requestid = (int)$_GET["requestid"];
$errmsg = Array();
if($filledurl == ""||!isset($filledurl))$errmsg[] = _btrequest_filled_errmsg1;
if($requestid == ""||!isset($requestid))$errmsg[] = _btrequest_filled_errmsg2;
if(!checkaccess("requests"))$errmsg[] = str_replace("**page**",_btrequest,_btnoautherized);
if(!checkaccess("upload"))$errmsg[] = str_replace("**page**",_btrequest,_btnoautherized);
if (count($errmsg) > 0)
        bterror($errmsg,_bterror);

$res = $db->sql_query("SELECT ".$db_prefix."_users.username, ".$db_prefix."_requests.userid, ".$db_prefix."_requests.request FROM ".$db_prefix."_requests inner join ".$db_prefix."_users on ".$db_prefix."_requests.userid = ".$db_prefix."_users.id where ".$db_prefix."_requests.id = $requestid") or sqlerr();
 $arr = $db->sql_fetchrow($res);

                        $bon = "SELECT active, fill_request FROM ".$db_prefix."_bonus_points ;";
                        $bonset = $db->sql_query($bon);
                        list ($active, $fill_request) = $db->sql_fetchrow($bonset);
                        $db->sql_freeresult($bonset);
if($active=='true' AND $user->id !=0)
{
$do="UPDATE ".$db_prefix."_users SET seedbonus = seedbonus + '".$fill_request."' WHERE id= ".$user->id."" ;
$db->sql_query($do) or btsqlerror($do);
}


$msg = str_replace(array("**rqid**","**filledturl**","**filledurl**",),array($requestid,$arr['request'],$filledurl),_btrequest_filled_msg1);

       $db->sql_query ("UPDATE ".$db_prefix."_requests SET filled = '$filledurl', filledby = '".$user->id."' WHERE id = $requestid") or sqlerr();
                $db->sql_query("INSERT INTO ".$db_prefix."_private_messages (sender, recipient, subject, text, sent) VALUES ('".$user->id."','" . $arr['userid'] . "','Request','".addslashes($msg)."',NOW())");

echo str_replace(array("**rqid**","**filledurl**","**filledturl**","**requester**","**requestername**"),array($requestid,$filledurl,$arr['request'],$arr['userid'],$arr['username']),_btrequest_filled_msg6);
echo _btrequest_filled_thanks;
CloseTable();

include("footer.php");
?>